package com.gree.mall.manager.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum WebsitAttrEnum implements BaseEnum {
    SELF("SELF","自建网点"),
    MAJOR("MAJOR","第三方专业网点"),
    MERCHANT("MERCHANT","第三方经销商家网点"),
    ;

    @EnumValue
    @JsonValue
    private final String key;
    private final String remark;

}